pcl::LineRGBD< PointXYZT, PointRGBT >::Detection Struct Reference

A LineRGBD detection. More...

`#include <pcl/recognition/linemod/line_rgbd.h>`

## Public Member Functions

| Detection ()
| Constructor. More...

## Public Attributes

std::size_t | template_id
| The ID of the template. More...
std::size_t | object_id
| The ID of the object corresponding to the template. More...
std::size_t | detection_id
| The ID of this detection. More...
float | response
| The response of this detection. More...
BoundingBoxXYZ | bounding_box
| The 3D bounding box of the detection. More...
RegionXY | region
| The 2D template region of the detection. More...

## Detailed Description

### template<typename PointXYZT, typename PointRGBT = PointXYZT>
struct pcl::LineRGBD< PointXYZT, PointRGBT >::Detection

A LineRGBD detection.

Definition at line 77 of file line_rgbd.h.

## Constructor & Destructor Documentation

## Detection()

template<typename PointXYZT , typename PointRGBT = PointXYZT>

pcl::LineRGBD< PointXYZT, PointRGBT >::Detection::Detection | ( |  | ) |

inline

Constructor.

Definition at line 80 of file line_rgbd.h.

## Member Data Documentation

## bounding_box

template<typename PointXYZT , typename PointRGBT = PointXYZT>

BoundingBoxXYZ pcl::LineRGBD< PointXYZT, PointRGBT >::Detection::bounding_box

The 3D bounding box of the detection.

Definition at line 91 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::applyProjectiveDepthICPOnDetections(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::refineDetectionsAlongDepth(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## detection_id

template<typename PointXYZT , typename PointRGBT = PointXYZT>

std::size_t pcl::LineRGBD< PointXYZT, PointRGBT >::Detection::detection_id

The ID of this detection.

This is only valid for the last call of the method detect (...).

Definition at line 87 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## object_id

template<typename PointXYZT , typename PointRGBT = PointXYZT>

std::size_t pcl::LineRGBD< PointXYZT, PointRGBT >::Detection::object_id

The ID of the object corresponding to the template.

Definition at line 85 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## region

template<typename PointXYZT , typename PointRGBT = PointXYZT>

RegionXY pcl::LineRGBD< PointXYZT, PointRGBT >::Detection::region

The 2D template region of the detection.

Definition at line 93 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::applyProjectiveDepthICPOnDetections(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::refineDetectionsAlongDepth(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## response

template<typename PointXYZT , typename PointRGBT = PointXYZT>

float pcl::LineRGBD< PointXYZT, PointRGBT >::Detection::response

The response of this detection.

Responses are between 0 and 1, where 1 is best.

Definition at line 89 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

## template_id

template<typename PointXYZT , typename PointRGBT = PointXYZT>

std::size_t pcl::LineRGBD< PointXYZT, PointRGBT >::Detection::template_id

The ID of the template.

Definition at line 83 of file line_rgbd.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::applyProjectiveDepthICPOnDetections(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

The documentation for this struct was generated from the following file:

- pcl/recognition/linemod/line_rgbd.h